package solatium.blockchain;

import lombok.Getter;
import solatium.interfaces.User;

@Getter
public class Transaction {

    private String senderName;
    private String receiverName;
    private int value;

    public Transaction(String senderName, String receiverName, int value) {
        this.senderName = senderName;
        this.receiverName = receiverName;
        this.value = value;
    }

    public Transaction(User senderName, User receiverName, int value) {
        this(senderName.getUserName(), receiverName.getUserName(), value);
    }

    @Override
    public String toString() {
        return "Transaction{" +
                "senderName='" + senderName + '\'' +
                ", receiverName='" + receiverName + '\'' +
                ", value=" + value +
                '}';
    }
}
